Positions & Queries
Get Loan (On-Chain)
Read a loan directly from the smart contract
GET
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Read a loan directly from the smart contract
curl "https://api.trusset.org/lending-stocks/api/positions/{marketId}/loan/5" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"loanId": "5",
"borrower": "0xabc...def",
"collateralAmount": "100.000000000000000000",
"principal": "5000.000000",
"accruedInterest": "12.500000",
"healthFactor": "2.450000000000000000",
"active": true
}
}
curl "https://api.trusset.org/lending-stocks/api/positions/{marketId}/loan/5" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"loanId": "5",
"borrower": "0xabc...def",
"collateralAmount": "100.000000000000000000",
"principal": "5000.000000",
"accruedInterest": "12.500000",
"healthFactor": "2.450000000000000000",
"active": true
}
}
curl "https://api.trusset.org/lending-stocks/api/positions/{marketId}/loan/5" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"loanId": "5",
"borrower": "0xabc...def",
"collateralAmount": "100.000000000000000000",
"principal": "5000.000000",
"accruedInterest": "12.500000",
"healthFactor": "2.450000000000000000",
"active": true
}
}
